Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357950 - [abrt] feedreader: g_menu_model_get_n_items(): feedreader killed by SIGSEGV
Summary: [abrt] feedreader: g_menu_model_get_n_items(): feedreader killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: feedreader
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:45d2547182f9c385092509b77e3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 16:19 UTC by Heiko Adams
Modified: 2017-08-08 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:42:05 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: cgroup (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: core_backtrace (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: dso_list (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: environ (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: exploitable (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: limits (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: maps (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: mountinfo (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: namespaces (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: open_fds (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: proc_pid_status (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details
File: var_log_messages (deleted)
2016-07-19 16:20 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2016-07-19 16:19:52 UTC
Version-Release number of selected component:
feedreader-1.6-0.1.beta1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        feedreader
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/feedreader
global_pid:     14468
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:494
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:312
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:679
 #3 _g_closure_invoke_va at gclosure.c:867
 #6 gtk_widget_realize at gtkwidget.c:5453
 #7 gtk_window_show at gtkwindow.c:6107
 #12 gtk_widget_show at gtkwidget.c:4783
 #13 feed_reader_rss_reader_app_real_activate at /usr/src/debug/FeedReader-1.6-beta-1/src/FeedReader.vala:101
 #14 _g_closure_invoke_va at gclosure.c:867
 #17 feed_reader_rss_reader_app_real_command_line at /usr/src/debug/FeedReader-1.6-beta-1/src/FeedReader.vala:120

Potential duplicate: bug 1266748

Comment 1 Heiko Adams 2016-07-19 16:20:00 UTC
Created attachment 1181713 [details]
File: backtrace

Comment 2 Heiko Adams 2016-07-19 16:20:02 UTC
Created attachment 1181714 [details]
File: cgroup

Comment 3 Heiko Adams 2016-07-19 16:20:04 UTC
Created attachment 1181715 [details]
File: core_backtrace

Comment 4 Heiko Adams 2016-07-19 16:20:06 UTC
Created attachment 1181716 [details]
File: dso_list

Comment 5 Heiko Adams 2016-07-19 16:20:08 UTC
Created attachment 1181717 [details]
File: environ

Comment 6 Heiko Adams 2016-07-19 16:20:09 UTC
Created attachment 1181718 [details]
File: exploitable

Comment 7 Heiko Adams 2016-07-19 16:20:11 UTC
Created attachment 1181719 [details]
File: limits

Comment 8 Heiko Adams 2016-07-19 16:20:13 UTC
Created attachment 1181720 [details]
File: maps

Comment 9 Heiko Adams 2016-07-19 16:20:15 UTC
Created attachment 1181721 [details]
File: mountinfo

Comment 10 Heiko Adams 2016-07-19 16:20:16 UTC
Created attachment 1181722 [details]
File: namespaces

Comment 11 Heiko Adams 2016-07-19 16:20:18 UTC
Created attachment 1181723 [details]
File: open_fds

Comment 12 Heiko Adams 2016-07-19 16:20:20 UTC
Created attachment 1181724 [details]
File: proc_pid_status

Comment 13 Heiko Adams 2016-07-19 16:20:21 UTC
Created attachment 1181725 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 21:53:30 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:42:05 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.